import Wxml2Canvas from '../canvasJS/index';
/**
文档链接
    https://developers.weixin.qq.com/community/develop/article/doc/000040894e4360456ff7654be56013;
    https://github.com/wg-front/wxml2canvas
*/
Page({

    /**
     * 页面的初始数据
     */
    data: {
        actInfo: {
            headimgurl: '../images/bg.png',
            nickname: '病猫',
            name: '书院电影赏析沙龙——《阳光灿烂的日子》',
            site: '山西省运城市永济市樱花园山西省运城市永济市樱花园山西省运城市永济市樱花园',
            time: '2019.03.11 12:00-2019.03.20 12:00'
        },
        icon: {
            local: '../images/s5.png',
            time: '../images/s1.png'
        },
        width: 0,
        height: 0,
    },
    getSystemInfo() {
        wx.getSystemInfo({
            success: (res) => {
                console.log(res);
                this.setData({
                    width:res.screenWidth,
                    height: res.screenHeight
                });
            }
        })
        
    },
    drawImage () {
        let _this = this;
        var drawimg = new Wxml2Canvas({
            width: _this.data.width,
            height: _this.data.height,
            element: 'canvas1',
            background: '#000000',
            progress (percent) {
            },
            finish(url) {
                wx.hideLoading();
                wx.saveImageToPhotosAlbum({
                    filePath: url
                })
            },
            error (res) {
            }
        });

        let data = {
            list: [
            {   //绘制矩形
                type: 'rect',
                x: 0,
                y: 50,
                style: {
                    width: _this.data.width,
                    height: _this.data.height - 60,
                    fill: '#fff'
                }
            },
            {   //根据wxml绘制,
                type: 'wxml',
                class: '.share__canvas1 .draw_canvas',
                limit: '.share__canvas1',
                x: 5,
                y: 70
            }]
        }
        drawimg.draw(data);
    },
    onLoad() {
        this.getSystemInfo();
    },
    goHomeHandle() {
        wx.navigateBack({ detail: 1})
    },
    getPosterHandle() {
        wx.showLoading({
            title: '海报生成中...',
        })
        this.drawImage();
    }
})